Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support webhook jam recording link

POST/support/webhooks/jam/{publicKeyId}/recording-links
Path parameters
publicKeyIdstringrequired
Header parameters
svix-idstringrequired
svix-timestampstringrequired
svix-signaturestringrequired
Request body
application/json
recordingLinkIdstringrequired
publicIdstringrequired
urlstringrequired
teamIdstringrequired
typestringrequired
Allowed:one_timereusable
createdAtstringrequired
originstring
descriptionstring
referencestring
recordingUrlstring
createdByobject
Show properties
emailstring
namestring
Responses
200

Recording link created

ticketIdstring | nullrequired
deliveryIdstring
401

Invalid webhook

404

Public key or ticket not found

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/support/webhooks/jam/string/recording-links' \
  -H 'svix-id: string' \
  -H 'svix-timestamp: string' \
  -H 'svix-signature: string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "recordingLinkId": "string",
  "publicId": "string",
  "url": "string",
  "teamId": "string",
  "type": "one_time",
  "createdAt": "string",
  "origin": "string",
  "description": "string",
  "reference": "string",
  "recordingUrl": "string",
  "createdBy": {
    "email": "string",
    "name": "string",
    "property1": null,
    "property2": null
  },
  "property1": null,
  "property2": null
}'
Response
{
  "ticketId": "string",
  "deliveryId": "string"
}